'-------------------------------------------------------------------------------
' RW3XA for RW3AZ PLL@ADF4106     v.1.2    BASCOM 1.11.9.5   ATTINY13*
'-------------------------------------------------------------------------------
REM  FUSES: CLKDIV8 = 0 (programmed), CKSEL= 10 (9.6Mc internal RC clock)
'
$regfile = "ATtiny13.dat"
$crystal = 9600000                                         ' default Internal RC Clock
$hwstack = 8                                               '
$swstack = 8                                               '
$framesize = 8                                             '

Declare Sub Main
Declare Sub Init_ADF4106

Dim TMP as Byte                                            '
Dim I As Byte                                              ' tmp counters

Config Portb = Output                                     '

LE  Alias Portb.2                                          'Tiny pin 7 - LE ADF4106
DAT Alias Portb.1                                          'Tiny pin 6 - DATA ADF4106
CLK Alias Portb.0                                          'Tiny pin 5 - CLK ADF4106

'-------------------------------------------------------------------------------
Main:
         Set LE
         Waitms 100
         Call Init_ADF4106
         Waitms 100

' Going to IDLE MODE
         Reset MCUCR.SM0
         Reset MCUCR.SM1
         Set SE

' Infinity Loop
 Do
 Loop
End

'------------------------------------------------------------------------------
'Init ADF4106 with constant values
Sub Init_ADF4106
   Restore Reg_Table

' INIT LATCH
   Reset LE
      For I = 1 To 3
         Read TMP
         ShiftOut DAT , CLK , TMP , 1
      Next
   Set LE
   Waitms 1

' FUNCTION LATCH
   Reset LE
      For I = 1 To 3
         Read TMP
         ShiftOut DAT , CLK , TMP , 1
      Next
   Set LE
   Waitms 1

' R COUNTER LATCH
   Reset LE
      For I = 1 To 3
         Read TMP
         ShiftOut DAT , CLK , TMP , 1
      Next
   Set LE
   Waitms 1

' N COUNTER LATCH
   Reset LE
      For I = 1 To 3
         Read TMP
         ShiftOut DAT , CLK , TMP , 1
      Next
   Set LE
   Waitms 1
End Sub


'-------------------------------------------------------------------------------
'     PLL ADFxxxx

$data
Data "___MSB_to_LSB___3__bytes_registers__INIT_FUNC_______RCNT_NCNT_______from_adr_280_"
Reg_Table:                                                 '
Data &H1F , &H80 , &HD3                                     '3 INIT LATCH
Data &H1F , &H80 , &HD2                                     '2 FUNCTION LATCH
Data &H00 , &H06 , &H19                                     '1 R COUNTER LATCH
Data &H00 , &H00 , &H04                                     '0 N COUNTER LATCH

Data "__________________________________"                                    '

                          '